Package org.eclipse.search.ui

## Interface IContextMenuContributor

    @Deprecated(forRemoval=true)
    public interface IContextMenuContributor

Deprecated, for removal: This API element is subject to removal in a future version.
Part of the old ('classic') search result view. Since 3.0 clients can create their own search result view pages (see `ISearchResultPage`), leaving it up to the page how to create actions in context menus. This class will be removed after 2023-09 release. See https://bugs.eclipse.org/bugs/show_bug.cgi?id=487303 for more information.
Specify how clients can add menu items to the context menu of the search result view. A class that contributes context menu items must implement this interface and pass an instance of itself to the search result view.

See Also:
  `ISearchResultView.searchStarted(IActionGroupFactory, String, String, ImageDescriptor, String, ILabelProvider, IAction, IGroupByKeyComputer, IRunnableWithProgress)`
Restriction:
Restriction:
Restriction:
Restriction:
  This class is not intended to be instantiated by clients.

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`void` `fill​(IMenuManager menu, IInputSelectionProvider inputProvider)` Deprecated, for removal: This API element is subject to removal in a future version. Contributes menu items to the given context menu appropriate for the given selection.

### Method Detail

#### fill

    void fill​(IMenuManager menu,
              IInputSelectionProvider inputProvider)

Deprecated, for removal: This API element is subject to removal in a future version.
Contributes menu items to the given context menu appropriate for the given selection.

Parameters:
  `menu` - the menu to which the items are added
  `inputProvider` - the selection and input provider